/*
 *  Copyright (C) by Y.Ishioka 2012-2013
 */
#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>

#include <stdlib.h>
#include <time.h>

#include <demo_main.h>


extern  void  demo_com_init( WSCbase* object ) ;
extern  void  demo_mode_change( int mode ) ;
extern  void  demo_draw_init( void ) ;


//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
void demo_init(WSCbase* object){

    demo_draw_init() ;

    /* timer start */
    demvtim_001->setProperty( WSNrunning, True ) ;

    /* init com port */
    demo_com_init( object ) ;
}
static WSCfunctionRegister  op("demo_init",(void*)demo_init);
